<?php
    include 'header.php';
    $query2 = mysqli_query($con,"SELECT * FROM users WHERE id = $id");
    $row2=mysqli_fetch_array($query2);   
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body">
                                     <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Medical Leave Application Form</b></h4>
                                    </div>
                                    <form class="form form-horizontal striped-rows form-bordered" action="./actions/applyMCSubmit.php" method="post" enctype="multipart/form-data">
                                        <div class="form-body">
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Employee Name</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffName" ><?php echo $row2['username']; ?></label> 
                                                    <span style="float:left"><i class="ft-user" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control"
                                                    for="staffEmail">Employee Email</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffEmail"> <?php echo $row2['email']; ?></label>
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-mail" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" >Medical Leave Balance</label>
                                                <div class="col-md-9" style="margin-top:3px;padding-left:26px">
                                                    <?php 
                                                        $query = mysqli_query($con,"SELECT * FROM staff_leave WHERE staff_id = $id");
                                                        $row=mysqli_fetch_array($query);
                                                        if($row['num_mc'] > 0 ){
                                                            echo '<span style="float:left;margin-top:3.5px;"><i class="ft-clock" style="margin-right:23px"></i></span>';
                                                            if($row['num_mc'] > 1 ){ echo'<label>'.$row['num_mc'].' days</label>';}
                                                            else { echo'<label>'.$row['num_mc'].' day</label>';}  
                                                        }
                                                    ?>
                                                </div>
                                            </div>
                                            <input type="hidden"  id="hfNumMC" value="<?php echo $row['num_mc'];?>"/>
                                            <input type="hidden"  id="hfAmountDay" value=""/>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStartDate" style="margin-top:8px">Start Date</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtMCStartDate"
                                                            class="form-control" name="startDate">
                                                        <div class="form-control-position">
                                                            <i class="ft-calendar"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtEndDate" style="margin-top:8px">End Date</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtMCEndDate"
                                                            class="form-control" name="endDate"> 
                                                        <div class="form-control-position">
                                                            <i class="ft-calendar"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" >Amount of Apply Medical Leave</label>
                                                <div class="col-md-9" style="margin-top:3px;padding-left:26px">
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-clock" style="margin-right:23px"></i></span>
                                                    <label for="mcAmount" id="mcAmount"></label> 
                                                </div>
                                            </div>
                                            <div class="form-group row last">
                                                <label class="col-md-3 label-control" for="attachementMC">MC Document</label>
                                                <div class="col-md-9"  style="margin-top:3px;padding-left:26px">
                                                    <label id="lblattachementMC" class="file center-block">
                                                        <i class="ft-folder" style="margin-right:5px;vertical-align:middle"></i>
                                                        <input type="file" id="attachementMC" name="MC" style="font-size:12px">
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-actions right">
                                            <button type="submit" class="btn btn-primary" id="btnSubmitMC" style="margin-right:20px;">
                                                <i class="fa fa-check-square-o"></i> Submit
                                            </button>
                                            <a  href="./leaveSystem.php#MC">
                                                <button type="button" class="btn btn-secondary" id="btnBack">
                                                    <i class="fa fa-arrow-left"></i>&nbsp;&nbsp;Back
                                                </button>
                                            </a>
                                        </div>       
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="assets/js/jquery.datetimepicker.full.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $('#mcAmount').text("1 day");
        $('#hfAmountDay').val(1);
    });
    
    $('#txtMCStartDate, #txtMCEndDate').datetimepicker({
        format:'d/m/Y',
        timepicker: false,
        maxDate: 0,
        scrollInput : false,
        value: new Date()
    });

    $('#txtMCStartDate').change(function() {
        $('#txtMCEndDate').val($('#txtMCStartDate').val());
    });
    
    $('#txtMCEndDate').change(function() {
        var from = $('#txtMCStartDate').val().split("/");
        var to= $('#txtMCEndDate').val().split("/");
        var start = new Date(from[2],from[1]-1,from[0]) ;
        var end= new Date(to[2],to[1]-1,to[0]);
        var amount=(end-start)/1000/60/60/24 + 1;
        if(amount < 1){
            $('#txtMCStartDate').val($('#txtMCEndDate').val());
        }
    });

    $('#txtMCStartDate, #txtMCEndDate').change(function() {
        var from = $('#txtMCStartDate').val().split("/");
        var to= $('#txtMCEndDate').val().split("/");
        var start = new Date(from[2],from[1]-1,from[0]) ;
        var end= new Date(to[2],to[1]-1,to[0]);
        var amount=(end-start)/1000/60/60/24 + 1;
        var day = amount > 1 ? " days" : " day";
        var numday = amount > 0 ? amount : 0;
        $('#mcAmount').text(numday + day);
        $('#hfAmountDay').val(numday);
    });

     $('#attachementMC').change(function() {
        var extension = $('#attachementMC').val().split('.').pop().toLowerCase();
        if($.inArray(extension, ['gif','png','jpg','jpeg','bmp','docx','doc','pdf']) == -1) {
            alert('Sorry, invalid extension.');
            $('#attachementMC').val('');
            return false;
        }
    })

    $('#btnSubmitMC').click(function() {
        var mc = parseInt($('#hfNumMC').val());
        var amount = parseInt($('#hfAmountDay').val());
        if(mc < amount){
            alert('Please make sure you got enough medical leave for using.');
            $('#txtMCStartDate').focus();
            return false;
        }
        
        if($('#attachementMC')[0].files.length == 0){
            alert('Please attach your medical certificate (MC).');
            return false;
        }
        alert("Success to submit the apply form.");
    });
</script>

<?php
include 'footer.php';
?>