<?php
    include 'header.php';
    if(!isset($_GET[base64_encode('fid')]) || $_GET[base64_encode('fid')] == ""){
        echo '<meta http-equiv="refresh" content="0;URL=leaveSystem.php">';
        $fid = "";
    } else {
        $fid = base64_decode($_GET[base64_encode('fid')]);
        $query = mysqli_query($con,"SELECT * FROM users u,staff_leave sl WHERE u.id = sl.staff_id AND sl.id=$fid"); 
        $row=mysqli_fetch_array($query);
    }        
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body"> 
                                    <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Employee Leave Information Form</b></h4>
                                    </div>
                                    <form class="form form-horizontal striped-rows form-bordered" action="
                                        <?php echo'./actions/leaveUpdate.php?'.base64_encode("fid").'='.base64_encode($row['id']);?>" method="post">
                                        <div class="form-body">
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Employee Id</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffId" ><?php echo $row['staff_id']; ?></label> 
                                                    <span style="float:left"><i class="ft-clipboard" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Employee Name</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffName" ><?php echo $row['username']; ?></label> 
                                                    <span style="float:left"><i class="ft-user" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control"
                                                    for="staffEmail">Employee Email</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffEmail"> <?php echo $row['email']; ?></label>
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-mail" style="margin-right:23px"></i></span>
                                                </div>
                                            </div> 
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtNumberAnnual" style="margin-top:8px">Annual Leave Balance (Days)</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="number" step="0.5" id="txtNumberAnnual" class="form-control" name="numAnnual"
                                                            value="<?php echo $row['num_annual'] ?>"
                                                        >
                                                        <div class="form-control-position">
                                                            <i class="ft-clock"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtNumberOffInLieu" style="margin-top:8px">Off In Lieu Balance (Days)</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="number" step="0.5" id="txtNumberOffInLieu" class="form-control" name="numOffInLieu"
                                                            value="<?php echo $row['num_offInLieu'] ?>"
                                                        >
                                                        <div class="form-control-position">
                                                            <i class="ft-clock"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtNumberMC" style="margin-top:8px">Medical Leave Balance (Days)</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="number" id="txtNumberMC" class="form-control" name="numMC"
                                                            value="<?php echo $row['num_mc'] ?>"
                                                        >
                                                        <div class="form-control-position">
                                                            <i class="ft-clock"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-actions right">
                                            <button type="submit" class="btn btn-primary" id="btnSaveLeave" style="margin-right:20px">
                                                <i class="fa fa-check-square-o"></i> Save
                                            </button>
                                            <a  href="./leaveSystem.php#LSum"><button type="button" class="btn btn-secondary" id="btnBack">
                                                <i class="fa fa-arrow-left"></i>&nbsp;&nbsp;Back
                                            </button></a>
                                        </div>
                                    </form>                 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript">

    $('#btnSaveLeave').click(function() {
        alert("Success to update the staff leave status.");
    });

</script>

<?php
include 'footer.php';
?>