<?php
    include 'header.php';
    if(!isset($_GET[base64_encode('fid')]) || $_GET[base64_encode('fid')] == ""){
        echo '<meta http-equiv="refresh" content="0;URL=leaveSystem.php">';
        $fid = "";
    } else {
        $fid = base64_decode($_GET[base64_encode('fid')]);
        $query = mysqli_query($con,"SELECT * FROM users u,staff_leave sl WHERE u.id = sl.staff_id AND sl.id=$fid"); 
        $row=mysqli_fetch_array($query);
    }        
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body"> 
                                    <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Employee Information</b></h4>
                                    </div>
                                    <div style="display:block;text-align:center">
                                        <?php
                                        if($row["profile_image"] ==''){
                                            echo '<img src="assets/images/man.jpg" alt="staff" style="margin:0 auto; display:block; width: 20%; height:20%">';
                                        } else {
                                            echo '<img src="assets/uploads/'.$row['staff_id'].'/'.$row["profile_image"].'" alt="staff" style="margin:0 auto; display:block; width: 20%; height:20%">';
                                        }    
                                        ?>
                                    </div>
                                    <form class="form form-horizontal striped-rows form-bordered" action="
                                        <?php echo'./actions/staffUpdate.php?'.base64_encode("fid").'='.base64_encode($row['id']);?>" method="post">
                                        <div class="form-body">
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Employee Id</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffId" ><?php echo $row['staff_id']; ?></label> 
                                                    <span style="float:left"><i class="ft-clipboard" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffUsername" style="margin-top:8px">Employee Name</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtStaffUsername" class="form-control" placeholder="Enter Employee Name" name="username" value="<?php echo $row['username']; ?>">
                                                        <div class="form-control-position">
                                                            <i class="fa fa-address-card"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffEmail">Email Address</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffEmail"> <?php echo $row['email']; ?></label>
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-mail" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <input type="hidden"  id="hfStaffEmail" value="<?php echo $row['email'];?>"/>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffPassword" style="margin-top:4px">Password</label>
                                                <div class="col-md-9">
                                                    <button type="button" class="btn" id="btnResetPassword" style="padding: 0.5rem 1rem;background:#5DADE2;color:#ffffff">
                                                        <i class="fa fa-lock"></i>&nbsp;&nbsp;Reset Password
                                                    </button>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="slStaffRole"  style="margin-top:8px">Employee Role</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <select name="role" id="slStaffRole" class="form-control">
                                                        <?php 
                                                            echo '<option value="'.$row['role'].'">'.$row['role'].'</option>';
                                                            $rl = $row['role'];
                                                            $query2 = mysqli_query($con,"SELECT DISTINCT role FROM users WHERE role != '$rl' ORDER BY role ASC"); 
                                                            while($row2 = mysqli_fetch_array($query2)){
                                                                echo '<option value="'.$row2['role'].'">'.$row2['role'].'</option>';
                                                            }
                                                        ?>
                                                            <option value="Others">Others</option>
                                                        </select>
                                                        <input type="text" id="txtStaffRole" class="form-control" placeholder="Enter Your Employee Role" name="role2" style="display:none;margin-top:5px">
                                                        <div class="form-control-position">
                                                            <i class="fa fa-briefcase"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div> 
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="chkPermissions">Permissions</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <div class="d-inline-block custom-control custom-checkbox mr-1">
                                                        <input type="checkbox" class="custom-control-input" id="chkAdmin" name="admin" value="1"
                                                        <?php 
                                                            if($row['admin'] == "1"){ echo 'checked';}
                                                        ?>
                                                        >
                                                        <label class="custom-control-label"
                                                            for="chkAdmin">Admin</label>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStartOnboarding" style="margin-top:8px">Start Onboarding</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtStartOnboarding"
                                                            class="form-control" name="startOnboarding" value="<?php echo $row['start_onboarding']; ?>">
                                                        <div class="form-control-position">
                                                            <i class="ft-calendar"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>   
                                        </div>
                                        <div class="form-actions right">
                                            <button type="button" class="btn btn-danger" id="btnRemoveStaff" style="margin-right:20px" onclick="removeRecord(<?php echo $row['id']; ?>)">
                                                <i class="fa fa-trash"></i> Remove
                                            </button>
                                            <button type="submit" class="btn btn-primary" id="btnSaveStaffInfo" style="margin-right:20px;">
                                                <i class="fa fa-check-square-o"></i> Save
                                            </button>
                                            <a  href="./staff.php">
                                                <button type="button" class="btn btn-secondary" id="btnBack">
                                                    <i class="fa fa-arrow-left"></i>&nbsp;&nbsp;Back
                                                </button>
                                            </a>
                                        </div>
                                    </form>                 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="assets/js/jquery.datetimepicker.full.js"></script>
<script type="text/javascript">
    $('#txtStartOnboarding').datetimepicker({
        format:'d/m/Y',
        timepicker: false
    });
    function removeRecord(id){
        var result = confirm("Want to remove this employee?")
        if(result){
            window.location = './actions/staffRecordDelete.php?'+btoa('fid')+'='+btoa(id);
            return false;
        } else {
            return false;
        }
    }
    
    $('#slStaffRole').change(function(){
        var role = $('#slStaffRole').val();
        if(role == "Others"){
            $('#txtStaffRole').css('display','block');
        } else {
             $('#txtStaffRole').css('display','none');
             $('#txtStaffRole').val('');
        }
    });

    $('#btnSaveStaffInfo').click(function() {
        alert("Success to update the employee information.");
    });

    $('#btnResetPassword').click(function(){
        var email = $('#hfStaffEmail').val();
        if(email){
            $.ajax({
                type: 'post',
                url: './actions/resetPassword.php',
                data: {
                user_type: 'admin',
                user_email:email,
            },
            success: function (response) {
                if(response=="OK")	{
                    alert('The staff password is reset to default password');
                    return true;	
                }
            }
            });
        }
    });

</script>

<?php
include 'footer.php';
?>