<?php
    include 'header.php';
    if(!isset($_GET[base64_encode('uid')]) || $_GET[base64_encode('uid')] == ""){
        echo '<meta http-equiv="refresh" content="0;URL=leaveSystem.php">';
        $uid = "";
    } else {
        $uid = base64_decode($_GET[base64_encode('uid')]);
        $query = mysqli_query($con,"SELECT * FROM users WHERE id= '$uid'"); 
        $row=mysqli_fetch_array($query);
    }        
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body"> 
                                    <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Employee Profile</b></h4>
                                    </div>
                                    <div style="display:block;text-align:center">
                                        <?php
                                        if($row["profile_image"] ==''){
                                            echo '<img src="assets/images/man.jpg" alt="staff" style="margin:0 auto; display:block; width: 20%; height:20%">';
                                        } else {
                                            echo '<img src="assets/uploads/'.$id.'/'.$row["profile_image"].'" alt="staff" style="margin:0 auto; display:block; width: 20%; height:20%">';
                                        }    
                                        ?>
                                    </div>
                                    <a href="<?php echo './staffProfileEdit.php?'.base64_encode("uid").'='.$_GET[base64_encode('uid')]; ?>">
                                        <button type="button" class="btn btn-secondary" id="btnEdit" style="position:absolute;top:11%;right:3%">
                                            <i class="fa fa-edit"></i> Edit
                                        </button>
                                    </a>
                                    <form class="form form-horizontal striped-rows form-bordered" action="" method="post">
                                        <div class="form-body">
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Employee Id</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffId" ><?php echo $id; ?></label> 
                                                    <span style="float:left"><i class="ft-clipboard" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffUsername">Employee Name</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffUsername" ><?php echo $row['username']; ?></label> 
                                                    <span style="float:left"><i class="fa fa-address-card" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffEmail">Email Address</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffEmail"> <?php echo $row['email']; ?></label>
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-mail" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="slStaffRole">Employee Role</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffRole"> <?php echo $row['role']; ?></label>
                                                    <span style="float:left;"><i class="fa fa-briefcase" style="margin-right:23px"></i></span>
                                                </div>
                                            </div> 
                                             <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStartOnboarding">Start Onboarding</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="startOnboarding"> <?php echo $row['start_onboarding']; ?></label>
                                                    <span style="float:left;"><i class="ft-calendar" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffPermissions">Permissions</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffPermissions"> 
                                                    <?php 
                                                        if($admin == 1){
                                                            echo 'Admin';
                                                        } else {
                                                            echo 'Member';
                                                        }
                                                    ?></label>
                                                    <span style="float:left;"><i class="fa fa-key" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                        </div>
                                    </form>                 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="assets/js/jquery.datetimepicker.full.js"></script>
<script type="text/javascript">
     $(document).ready(function(){
         $('.changePassword').css('display','none');
    });
    $('#txtStartOnboarding').datetimepicker({
        format:'d/m/Y',
        timepicker: false
    });

    $('#btnSaveStaffInfo').click(function() {
        alert("Success to update the staff information.");
    });

    $('#btnChangePassword').click(function(){
        $('.changePassword').css('display','block');
    });

</script>

<?php
include 'footer.php';
?>